//
//  UIFont-Extension.swift
//  BaiSiSMApp
//
//  Created by davidhuang on 2022/10/16.
//  Copyright © 2022 www.davidhuang.com. All rights reserved.
//

import UIKit
extension UIFont {
    // MARK: - 苹果平方字体
    //特细
    class func PFSC_Thin(ofSize size : CGFloat = 15) -> UIFont {
        return UIFont(name: "PingFangSC-Thin", size: size)!
    }
    //细体
    class func PFSC_L(ofSize size : CGFloat = 15) -> UIFont {
        return UIFont(name: "PingFangSC-Light", size: size)!
    }
    //常规
    class func PFSC_R(ofSize size : CGFloat = 15) -> UIFont {
        return UIFont(name: "PingFangSC-Regular", size: size)!
    }
    
    //中等
    class func PFSC_M(ofSize size : CGFloat = 15) -> UIFont {
        return UIFont(name: "PingFangSC-Medium", size: size)!
    }
    
    //粗体
    static func PFSC_B(ofSize size : CGFloat = 15) -> UIFont {
        return UIFont(name: "PingFangSC-Semibold", size: size)!
    }
    
    //特粗体
    static func PFSC_UL(ofSize size : CGFloat = 15) -> UIFont {
        return UIFont(name: "PingFangTC-Ultralight", size: size)!
    }

}
